﻿/**Begin D:\work\PDM_UPGRADE2023\pdm1\HRBM_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRBM_DOMAIN', 'T_HRBM_DOMAIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_DOMAIN' AND KSQL_INDNAME = 'IDX_HRBM_DOMAIN') CREATE INDEX IDX_HRBM_DOMAIN ON T_HRBM_DOMAIN ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_DOMAIN_L', 'T_HRBM_DOMAIN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_DOMAIN_L' AND KSQL_INDNAME = 'IDX_HRBM_DOMAIN_L') CREATE INDEX IDX_HRBM_DOMAIN_L ON T_HRBM_DOMAIN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_PROPREL', 'T_HRBM_PROPREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PROPREL' AND KSQL_INDNAME = 'IDX_HRBM_PROPREL') CREATE INDEX IDX_HRBM_PROPREL ON T_HRBM_PROPREL ( FSOURCEPROPID ,FTARGETPROPID );


 EXEC P_ALTERPK 'PK_HRBM_APP', 'T_HRBM_APP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_APP' AND KSQL_INDNAME = 'IDX_HRBM_APP') CREATE INDEX IDX_HRBM_APP ON T_HRBM_APP ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_APP_L', 'T_HRBM_APP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_APP_L' AND KSQL_INDNAME = 'IDX_HRBM_APP_L') CREATE INDEX IDX_HRBM_APP_L ON T_HRBM_APP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_RELAPP', 'T_HRBM_RELAPP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_RELAPP' AND KSQL_INDNAME = 'IDX_HRBM_RELAPP') CREATE INDEX IDX_HRBM_RELAPP ON T_HRBM_RELAPP ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRBM_PROP', 'T_HRBM_PROP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PROP' AND KSQL_INDNAME = 'IDX_HRBM_PROP') CREATE INDEX IDX_HRBM_PROP ON T_HRBM_PROP ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_PROP_L', 'T_HRBM_PROP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PROP_L' AND KSQL_INDNAME = 'IDX_HRBM_PROP_L') CREATE INDEX IDX_HRBM_PROP_L ON T_HRBM_PROP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_LOGICENTITY', 'T_HRBM_LOGICENTITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LOGICENTITY' AND KSQL_INDNAME = 'IDX_HRBM_LOGICENTITY') CREATE INDEX IDX_HRBM_LOGICENTITY ON T_HRBM_LOGICENTITY ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_LOGICENTITY_L', 'T_HRBM_LOGICENTITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LOGICENTITY_L' AND KSQL_INDNAME = 'IDX_HRBM_LOGICENTITY_L') CREATE INDEX IDX_HRBM_LOGICENTITY_L ON T_HRBM_LOGICENTITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_BIZOBJ', 'T_HRBM_BIZOBJ', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BIZOBJ' AND KSQL_INDNAME = 'IDX_HRBM_BIZOBJ') CREATE INDEX IDX_HRBM_BIZOBJ ON T_HRBM_BIZOBJ ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_BIZOBJ_L', 'T_HRBM_BIZOBJ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BIZOBJ_L' AND KSQL_INDNAME = 'IDX_HRBM_BIZOBJ_L') CREATE INDEX IDX_HRBM_BIZOBJ_L ON T_HRBM_BIZOBJ_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_CLOUD', 'T_HRBM_CLOUD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_CLOUD' AND KSQL_INDNAME = 'IDX_HRBM_CLOUD') CREATE INDEX IDX_HRBM_CLOUD ON T_HRBM_CLOUD ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_CLOUD_L', 'T_HRBM_CLOUD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_CLOUD_L' AND KSQL_INDNAME = 'IDX_HRBM_CLOUD_L') CREATE INDEX IDX_HRBM_CLOUD_L ON T_HRBM_CLOUD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_RELBIZCLOUD', 'T_HRBM_RELBIZCLOUD', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_RELBIZCLOUD' AND KSQL_INDNAME = 'IDX_HRBM_RELBIZCLOUD') CREATE INDEX IDX_HRBM_RELBIZCLOUD ON T_HRBM_RELBIZCLOUD ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRBM_INDUSTRYTYPE_L', 'T_HRBM_INDUSTRYTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_INDUSTRYTYPE_L' AND KSQL_INDNAME = 'IDX_HRBM_INDUSTRYTYPE_L') CREATE INDEX IDX_HRBM_INDUSTRYTYPE_L ON T_HRBM_INDUSTRYTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_INDUSTRYTYPE', 'T_HRBM_INDUSTRYTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_INDUSTRYTYPE' AND KSQL_INDNAME = 'IDX_HRBM_INDUSTRYTYPE') CREATE INDEX IDX_HRBM_INDUSTRYTYPE ON T_HRBM_INDUSTRYTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_MODELTASK_L', 'T_HRBM_MODELTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_MODELTASK_L' AND KSQL_INDNAME = 'IDX_HRBM_MODELTASK_L') CREATE INDEX IDX_HRBM_MODELTASK_L ON T_HRBM_MODELTASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_MODELTASK', 'T_HRBM_MODELTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_MODELTASK' AND KSQL_INDNAME = 'IDX_HRBM_MODELTASK') CREATE INDEX IDX_HRBM_MODELTASK ON T_HRBM_MODELTASK ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_PROPLABEL', 'T_HRBM_PROPLABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PROPLABEL' AND KSQL_INDNAME = 'IDX_HRBM_PROPLABEL') CREATE INDEX IDX_HRBM_PROPLABEL ON T_HRBM_PROPLABEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_TASKRECORD_L', 'T_HRBM_TASKRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_TASKRECORD_L' AND KSQL_INDNAME = 'IDX_HRBM_TASKRECORD_L') CREATE INDEX IDX_HRBM_TASKRECORD_L ON T_HRBM_TASKRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_TASKRECORD', 'T_HRBM_TASKRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_TASKRECORD' AND KSQL_INDNAME = 'IDX_HRBM_TASKRECORD') CREATE INDEX IDX_HRBM_TASKRECORD ON T_HRBM_TASKRECORD ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_TASKDETAIL', 'T_HRBM_TASKDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_TASKDETAIL' AND KSQL_INDNAME = 'IDX_HRBM_TASKDETAIL') CREATE INDEX IDX_HRBM_TASKDETAIL ON T_HRBM_TASKDETAIL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_BIZMODELRECORD', 'T_HRBM_BIZMODELRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BIZMODELRECORD' AND KSQL_INDNAME = 'IDX_HRBM_BIZMODELRECORD') CREATE INDEX IDX_HRBM_BIZMODELRECORD ON T_HRBM_BIZMODELRECORD ( FBIZMODELID );


 EXEC P_ALTERPK 'PK_HRBM_PROPLABELMUL', 'T_HRBM_PROPLABELMUL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PROPLABELMUL' AND KSQL_INDNAME = 'IDX_HRBM_PROPLABELMUL') CREATE INDEX IDX_HRBM_PROPLABELMUL ON T_HRBM_PROPLABELMUL ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRBM_LOGICENTITYREL', 'T_HRBM_LOGICENTITYREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LOGICENTITYREL' AND KSQL_INDNAME = 'IDX_HRBM_LOGICENTITYREL') CREATE INDEX IDX_HRBM_LOGICENTITYREL ON T_HRBM_LOGICENTITYREL ( FLOGICENTITYID );


 EXEC P_ALTERPK 'PK_HRBM_LOGICENTITYREL_L', 'T_HRBM_LOGICENTITYREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LOGICENTITYREL_L' AND KSQL_INDNAME = 'IDX_HRBM_LOGICENTITYREL_L') CREATE INDEX IDX_HRBM_LOGICENTITYREL_L ON T_HRBM_LOGICENTITYREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_OPERATE', 'T_HRBM_OPERATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_OPERATE' AND KSQL_INDNAME = 'IDX_HRBM_OPERATE') CREATE INDEX IDX_HRBM_OPERATE ON T_HRBM_OPERATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_OPERATE_L', 'T_HRBM_OPERATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_OPERATE_L' AND KSQL_INDNAME = 'IDX_HRBM_OPERATE_L') CREATE INDEX IDX_HRBM_OPERATE_L ON T_HRBM_OPERATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_EXTCASE', 'T_HRBM_EXTCASE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_EXTCASE' AND KSQL_INDNAME = 'IDX_HRBM_EXTCASE') CREATE INDEX IDX_HRBM_EXTCASE ON T_HRBM_EXTCASE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_EXTCASE_L', 'T_HRBM_EXTCASE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_EXTCASE_L' AND KSQL_INDNAME = 'IDX_HRBM_EXTCASE_L') CREATE INDEX IDX_HRBM_EXTCASE_L ON T_HRBM_EXTCASE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_EXTCASEENTRY', 'T_HRBM_EXTCASEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_EXTCASEENTRY' AND KSQL_INDNAME = 'IDX_HRBM_EXTCASEENTRY') CREATE INDEX IDX_HRBM_EXTCASEENTRY ON T_HRBM_EXTCASEENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRBM_EXTCASEMANAGE', 'T_HRBM_EXTCASEMANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_EXTCASEMANAGE' AND KSQL_INDNAME = 'IDX_HRBM_EXTCASEMANAGE') CREATE INDEX IDX_HRBM_EXTCASEMANAGE ON T_HRBM_EXTCASEMANAGE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_EXTCASEMANAGE_L', 'T_HRBM_EXTCASEMANAGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_EXTCASEMANAGE_L' AND KSQL_INDNAME = 'IDX_HRBM_EXTCASEMANAGE_L') CREATE INDEX IDX_HRBM_EXTCASEMANAGE_L ON T_HRBM_EXTCASEMANAGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_PERSONFILETOOL', 'T_HRBM_PERSONFILETOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PERSONFILETOOL' AND KSQL_INDNAME = 'IDX_HRBM_PERSONFILETOOL') CREATE INDEX IDX_HRBM_PERSONFILETOOL ON T_HRBM_PERSONFILETOOL ( FBIZMODELID );


 EXEC P_ALTERPK 'PK_HRBM_PERSONFILETOOL_L', 'T_HRBM_PERSONFILETOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PERSONFILETOOL_L' AND KSQL_INDNAME = 'IDX_HRBM_PERSONFILETOOL_L') CREATE INDEX IDX_HRBM_PERSONFILETOOL_L ON T_HRBM_PERSONFILETOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_PSFILEVIEWS', 'T_HRBM_PSFILEVIEWS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PSFILEVIEWS' AND KSQL_INDNAME = 'IDX_HRBM_PSFILEVIEWS') CREATE INDEX IDX_HRBM_PSFILEVIEWS ON T_HRBM_PSFILEVIEWS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRBM_MGFILEVIEWS', 'T_HRBM_MGFILEVIEWS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_MGFILEVIEWS' AND KSQL_INDNAME = 'IDX_HRBM_MGFILEVIEWS') CREATE INDEX IDX_HRBM_MGFILEVIEWS ON T_HRBM_MGFILEVIEWS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRBM_CADREFILETOOL', 'T_HRBM_CADREFILETOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_CADREFILETOOL' AND KSQL_INDNAME = 'IDX_HRBM_CADREFILETOOL') CREATE INDEX IDX_HRBM_CADREFILETOOL ON T_HRBM_CADREFILETOOL ( FBIZMODELID );


 EXEC P_ALTERPK 'PK_HRBM_CADREFILETOOL_L', 'T_HRBM_CADREFILETOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_CADREFILETOOL_L' AND KSQL_INDNAME = 'IDX_HRBM_CADREFILETOOL_L') CREATE INDEX IDX_HRBM_CADREFILETOOL_L ON T_HRBM_CADREFILETOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_CADREFILEVIEWS', 'T_HRBM_CADREFILEVIEWS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_CADREFILEVIEWS' AND KSQL_INDNAME = 'IDX_HRBM_CADREFILEVIEWS') CREATE INDEX IDX_HRBM_CADREFILEVIEWS ON T_HRBM_CADREFILEVIEWS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRBM_PROPLABEL_L', 'T_HRBM_PROPLABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_PROPLABEL_L' AND KSQL_INDNAME = 'IDX_HRBM_PROPLABEL_L') CREATE INDEX IDX_HRBM_PROPLABEL_L ON T_HRBM_PROPLABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_BIZMODELPUBLISH_L', 'T_HRBM_BIZMODELPUBLISH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BIZMODELPUBLISH_L' AND KSQL_INDNAME = 'IDX_HRBM_BIZMODELPUBLISH_L') CREATE INDEX IDX_HRBM_BIZMODELPUBLISH_L ON T_HRBM_BIZMODELPUBLISH_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_BIZMODELPUBLISH', 'T_HRBM_BIZMODELPUBLISH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_BIZMODELPUBLISH' AND KSQL_INDNAME = 'IDX_HRBM_BIZMODELPUBLISH') CREATE INDEX IDX_HRBM_BIZMODELPUBLISH ON T_HRBM_BIZMODELPUBLISH ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_MODELPUBLISHENTRY', 'T_HRBM_MODELPUBLISHENTRY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_MODELPUBLISHENTRY' AND KSQL_INDNAME = 'IDX_HRBM_MODELPUBLISHENTRY') CREATE INDEX IDX_HRBM_MODELPUBLISHENTRY ON T_HRBM_MODELPUBLISHENTRY ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HRBM_TASKDETAIL_L', 'T_HRBM_TASKDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_TASKDETAIL_L' AND KSQL_INDNAME = 'IDX_HRBM_TASKDETAIL_L') CREATE INDEX IDX_HRBM_TASKDETAIL_L ON T_HRBM_TASKDETAIL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_LOGICENTITY_B', 'T_HRBM_LOGICENTITY_B', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LOGICENTITY_B' AND KSQL_INDNAME = 'IDX_HRBM_LOGICENTITY_B') CREATE INDEX IDX_HRBM_LOGICENTITY_B ON T_HRBM_LOGICENTITY_B ( FSUBLOGICENTITYID );


 EXEC P_ALTERPK 'PK_HRBM_TEMPMAPPING', 'T_HRBM_TEMPMAPPING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_TEMPMAPPING' AND KSQL_INDNAME = 'IDX_HRBM_TEMPMAPPING') CREATE INDEX IDX_HRBM_TEMPMAPPING ON T_HRBM_TEMPMAPPING ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_TEMPMAPPING_L', 'T_HRBM_TEMPMAPPING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_TEMPMAPPING_L' AND KSQL_INDNAME = 'IDX_HRBM_TEMPMAPPING_L') CREATE INDEX IDX_HRBM_TEMPMAPPING_L ON T_HRBM_TEMPMAPPING_L ( FID ,FLOCALEID );


 

 EXEC P_ALTERPK 'PK_HRBM_LOGICENTITYENTRY', 'T_HRBM_LOGICENTITYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LOGICENTITYENTRY' AND KSQL_INDNAME = 'IDX_HRBM_LOGICENTITYENTRY') CREATE INDEX IDX_HRBM_LOGICENTITYENTRY ON T_HRBM_LOGICENTITYENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRBM_LOGICENTITYENTRY_L', 'T_HRBM_LOGICENTITYENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_LOGICENTITYENTRY_L' AND KSQL_INDNAME = 'IDX_HRBM_LOGICENTITYENTRY_L') CREATE INDEX IDX_HRBM_LOGICENTITYENTRY_L ON T_HRBM_LOGICENTITYENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_ENTITYRELPROP', 'T_HRBM_ENTITYRELPROP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_ENTITYRELPROP' AND KSQL_INDNAME = 'IDX_HRBM_ENTITYRELPROP') CREATE INDEX IDX_HRBM_ENTITYRELPROP ON T_HRBM_ENTITYRELPROP ( FENTRYID );


 EXEC P_ALTERPK 'PK_HRBM_ENTITYCARDENTRY', 'T_HRBM_ENTITYCARDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_ENTITYCARDENTRY' AND KSQL_INDNAME = 'IDX_HRBM_ENTITYCARDENTRY') CREATE INDEX IDX_HRBM_ENTITYCARDENTRY ON T_HRBM_ENTITYCARDENTRY ( FID );


 EXEC P_ALTERPK 'PK_HRBM_ENTITYCARDENTRY_L', 'T_HRBM_ENTITYCARDENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_ENTITYCARDENTRY_L' AND KSQL_INDNAME = 'IDX_HRBM_ENTITYCARDENTRY_L') CREATE INDEX IDX_HRBM_ENTITYCARDENTRY_L ON T_HRBM_ENTITYCARDENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRBM_RELBIZAPP', 'T_HRBM_RELBIZAPP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_RELBIZAPP' AND KSQL_INDNAME = 'IDX_HRBM_RELBIZAPP') CREATE INDEX IDX_HRBM_RELBIZAPP ON T_HRBM_RELBIZAPP ( FID );



 EXEC P_ALTERPK 'PK_HRBM_MENULOCAL', 'T_HRBM_MENULOCAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_MENULOCAL' AND KSQL_INDNAME = 'IDX_HRBM_MENULOCAL') CREATE INDEX IDX_HRBM_MENULOCAL ON T_HRBM_MENULOCAL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRBM_MENULOCAL_L', 'T_HRBM_MENULOCAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRBM_MENULOCAL_L' AND KSQL_INDNAME = 'IDX_HRBM_MENULOCAL_L') CREATE INDEX IDX_HRBM_MENULOCAL_L ON T_HRBM_MENULOCAL_L ( FID ,FLOCALEID );



/**End D:\work\PDM_UPGRADE2023\pdm1\HRBM_constraint.sql **/
